<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutomaticModuleUnloader">
    <loaded-modules>
      <module name="mybatis-3-5.3.x" />
      <module name="mybatis-tuling" />
      <module name="mybatis" />
    </loaded-modules>
  </component>
  <component name="BookmarkManager">
    <bookmark url="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/datasource/pooled/PooledConnection.java" line="56" mnemonic="I" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="937eb72c-4fb3-4f89-896b-80f5564ed0db" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/mybatis-3.5.3/target/" />
    <ignored path="$PROJECT_DIR$/mybatis-tuling/target/" />
    <ignored path="$PROJECT_DIR$/mybatis-spring/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="mybatis-3-5.3.x" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper/UserMapper.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-60">
              <caret line="4" column="11" selection-start-line="4" selection-start-column="11" selection-end-line="4" selection-end-column="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="166">
              <caret line="541" column="29" selection-start-line="541" selection-start-column="29" selection-end-line="541" selection-end-column="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/SqlSessionFactoryBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="166">
              <caret line="49" column="27" lean-forward="true" selection-start-line="49" selection-start-column="27" selection-end-line="49" selection-end-column="27" />
              <folding>
                <element signature="e#1206#1207#0" expanded="true" />
                <element signature="e#1248#1249#0" expanded="true" />
                <element signature="e#3038#3039#0" expanded="true" />
                <element signature="e#3091#3092#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="234">
              <caret line="119" selection-start-line="119" selection-end-line="119" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/annotation/MapperAnnotationBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="378">
              <caret line="143" column="20" lean-forward="true" selection-start-line="143" selection-start-column="20" selection-end-line="143" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/binding/MapperRegistry.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="346">
              <caret line="117" column="18" selection-start-line="117" selection-start-column="18" selection-end-line="117" selection-end-column="18" />
              <folding>
                <element signature="e#4360#4361#0" expanded="true" />
                <element signature="e#4407#4408#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/Configuration.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="196">
              <caret line="793" column="24" lean-forward="true" selection-start-line="793" selection-start-column="24" selection-end-line="793" selection-end-column="24" />
              <folding>
                <element signature="e#15018#15019#0" expanded="true" />
                <element signature="e#15051#15052#0" expanded="true" />
                <element signature="e#24107#24108#0" expanded="true" />
                <element signature="e#24153#24154#0" expanded="true" />
                <element signature="e#25768#25769#0" expanded="true" />
                <element signature="e#25822#25823#0" expanded="true" />
                <element signature="e#25997#25998#0" expanded="true" />
                <element signature="e#26045#26046#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="144">
              <caret line="241" selection-start-line="241" selection-end-line="241" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/App.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="155">
              <caret line="25" column="73" lean-forward="true" selection-start-line="25" selection-start-column="73" selection-end-line="25" selection-end-column="73" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/plugins/ExamplePlugin.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="210">
              <caret line="27" column="26" lean-forward="true" selection-start-line="27" selection-start-column="26" selection-end-line="27" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>doBegin</find>
      <find>node.set</find>
      <find>variables</find>
      <find>parser</find>
      <find>setMethods</find>
      <find>typeHandlerMap</find>
      <find>IMPLEMENTATIONS</find>
      <find>loadXmlResource</find>
      <find>currentNamespace</find>
      <find>mappedStatements</find>
      <find>this.currentNamespace</find>
      <find>BaseBuilder</find>
      <find>cache</find>
      <find>getSqlFragment</find>
      <find>解析</find>
      <find>defaultScriptingLanguage</find>
      <find>isDynamic</find>
      <find>handleToken</find>
      <find>nodeHandlerMap</find>
      <find>typeAliasRegistry</find>
      <find>dataSource</find>
      <find>proxyConnection</find>
      <find>poolMaximumIdleConnections</find>
      <find>PooledConnection</find>
      <find>idleConnections</find>
      <find>state</find>
      <find>logConstructor</find>
      <find>typeHandlerRegistry</find>
      <find>sqlFragments</find>
      <find>sqlSource</find>
    </findStrings>
    <replaceStrings>
      <replace>xsls</replace>
      <replace />
    </replaceStrings>
  </component>
  <component name="HierarchyBrowserManager">
    <option name="SCOPE" value="Production" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/mybatis-spring/pom.xml" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/pom.xml" />
        <option value="$PROJECT_DIR$/mybatis-tuling/pom.xml" />
        <option value="$PROJECT_DIR$/mybatis-spring/src/main/java/org/mybatis/spring/annotation/MapperScan.java" />
        <option value="$PROJECT_DIR$/mybatis-spring/src/main/java/org/mybatis/spring/SqlSessionFactoryBean.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/SqlSessionFactory.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/io/VFS.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/annotation/MapperAnnotationBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-spring/src/main/java/org/mybatis/spring/mapper/ClassPathMapperScanner.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/binding/MapperProxy.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/binding/MapperRegistry.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/resources/log4j.properties" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/parsing/XPathParser.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/plugins/mains.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/executor/CachingExecutor.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/TransactionalCacheManager.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/MappedStatement.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/App.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/map/TestMine.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/map/Example.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/map/TestComputeIfAbsent.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/map/DoubleColonExample.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/plugins/ExamplePlugin2.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/SqlSessionFactoryBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/parsing/XNode.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/io/ResolverUtil.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/plugin/Plugin.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLIncludeTransformer.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/xml/TestXml.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/scripting/xmltags/TextSqlNode.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/scripting/xmltags/XMLScriptBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/plugins/ExamplePlugin.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/datasource/pooled/PooledDataSource.java" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/resources/mybatis-config.xml" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/TestJDBC.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/resources/mybatis-config.xml" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper/OrderMapper.xml" />
        <option value="$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/CacheBuilder.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/entity/User.java" />
        <option value="$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper/UserMapper.xml" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="localRepository" value="C:\repmvn" />
        <option name="mavenHome" value="D:/apache-maven-3.6.1" />
        <option name="userSettingsFile" value="D:\apache-maven-3.6.1\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis-spring" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis-spring" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis-tuling" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis-tuling" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-10" />
    <option name="width" value="1920" />
    <option name="height" value="1040" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
              <item name="entity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
              <item name="mapper" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
              <item name="plugins" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="mapper" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mybatis-3-5.3.x" type="b2602c69:ProjectViewProjectNode" />
              <item name="mybatis-3-5.3.x" type="462c0819:PsiDirectoryNode" />
              <item name="mybatis-tuling" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="tuling" type="462c0819:PsiDirectoryNode" />
              <item name="xml" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="editor.config.ad.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.1948956" />
    <property name="settings.editor.selected.configurable" value="preferences.keymap" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.tuling.plugins" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\ideaworkspace\mybatis-3-5.3.x\mybatis-tuling\src\main\resources\com\tuling\mapper" />
      <recent name="D:\ideaworkspace\mybatis-3-5.3.x\mybatis-tuling\src\test\resources" />
      <recent name="D:\ideaworkspace\mybatis-3-5.3.x\mybatis-tuling\src\test\java" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.TestXml.test01">
    <configuration name="App" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.tuling.App" />
      <module name="mybatis-tuling" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuling.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Example.test" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mybatis-tuling" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuling.map.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.tuling.map" />
      <option name="MAIN_CLASS_NAME" value="com.tuling.map.Example" />
      <option name="METHOD_NAME" value="test" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Example.test2" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mybatis-tuling" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuling.map.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.tuling.map" />
      <option name="MAIN_CLASS_NAME" value="com.tuling.map.Example" />
      <option name="METHOD_NAME" value="test2" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestComputeIfAbsent.test01" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mybatis-tuling" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuling.map.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.tuling.map" />
      <option name="MAIN_CLASS_NAME" value="com.tuling.map.TestComputeIfAbsent" />
      <option name="METHOD_NAME" value="test01" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestXml.test01" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="mybatis-tuling" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.tuling.xml.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.tuling.xml" />
      <option name="MAIN_CLASS_NAME" value="com.tuling.xml.TestXml" />
      <option name="METHOD_NAME" value="test01" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.App" />
        <item itemvalue="JUnit.TestXml.test01" />
        <item itemvalue="JUnit.Example.test2" />
        <item itemvalue="JUnit.Example.test" />
        <item itemvalue="JUnit.TestComputeIfAbsent.test01" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="937eb72c-4fb3-4f89-896b-80f5564ed0db" name="Default Changelist" comment="" />
      <created>1586770040896</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1586770040896</updated>
      <workItem from="1586770042357" duration="45061000" />
      <workItem from="1587095004388" duration="15671000" />
      <workItem from="1590579198423" duration="3286000" />
      <workItem from="1594641286533" duration="674000" />
      <workItem from="1594643312681" duration="890000" />
      <workItem from="1596360299768" duration="3594000" />
      <workItem from="1596543635723" duration="35049000" />
      <workItem from="1597559665368" duration="6929000" />
      <workItem from="1597566655467" duration="39381000" />
      <workItem from="1597728538464" duration="2052000" />
      <workItem from="1598505784673" duration="833000" />
      <workItem from="1599207803588" duration="3201000" />
      <workItem from="1602137738063" duration="2081000" />
      <workItem from="1602240015686" duration="1435000" />
      <workItem from="1602598117876" duration="2499000" />
      <workItem from="1602815317765" duration="286000" />
      <workItem from="1602815682361" duration="172000" />
      <workItem from="1603085466991" duration="10731000" />
      <workItem from="1603109882019" duration="61985000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="TestXml_test01 - 2020.10.19 at 19h 18m 39s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.19 at 19h 19m 45s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.19 at 19h 20m 06s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.20 at 22h 44m 25s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 13h 29m 18s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 13h 29m 22s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 19h 41m 17s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 19h 42m 17s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 20h 41m 54s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestXml_test01 - 2020.10.21 at 20h 52m 30s.xml">
      <configuration name="TestXml.test01" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="235810000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="838" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.82325584" visible="true" weight="0.22117962" />
      <window_info id="Structure" order="1" sideWeight="0.17741935" side_tool="true" weight="0.22117962" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" sideWeight="0.17633928" side_tool="true" weight="0.22117962" />
      <window_info id="JRebel" order="7" sideWeight="0.1767442" side_tool="true" visible="true" weight="0.22117962" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" sideWeight="0.49932975" weight="0.41584158" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49966466" weight="0.16265912" />
      <window_info active="true" anchor="bottom" id="Debug" order="3" sideWeight="0.49865952" visible="true" weight="0.08769448" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Spring" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50067025" side_tool="true" weight="0.41584158" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32956153" />
      <window_info anchor="bottom" id="JProfiler" order="12" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" />
      <window_info anchor="bottom" id="JRebel Console" order="15" side_tool="true" />
      <window_info anchor="bottom" id="JRebel Executor" order="16" />
      <window_info anchor="bottom" id="Statistic" order="17" weight="0.32956153" />
      <window_info anchor="bottom" id="Sequence" order="18" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.32573727" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Word Book" order="9" side_tool="true" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnloadedModulesList">
    <module name="mybatis-spring" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/App.java</url>
          <line>25</line>
          <properties />
          <option name="timeStamp" value="207" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/SqlSessionFactoryBuilder.java</url>
          <line>48</line>
          <properties />
          <option name="timeStamp" value="208" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java</url>
          <line>153</line>
          <properties />
          <option name="timeStamp" value="209" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java</url>
          <line>318</line>
          <properties />
          <option name="timeStamp" value="210" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java</url>
          <line>143</line>
          <properties />
          <option name="timeStamp" value="211" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/decorators/SerializedCache.java</url>
          <line>38</line>
          <properties />
          <option name="timeStamp" value="212" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="Application">
        <watch expression="source.getParentNode().getChildNodes().item(1)" language="JAVA" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateExpression">
      <expression>
        <expression-string>toInclude.getFirstChild().getNodeType()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>source.getParentNode().getChildNodes().item(1)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>context.getNode().getChildNodes().item(3)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>context.getNode().getChildNodes().item(2)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>context.getNode().getChildNodes().item(1)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>context.getNode().getChildNodes().item(0)</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>context.getNode().getChildNodes().item()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>toInclude.getParentNode().g</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>toInclude.getParentNode().getLastChild()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/datasource/pooled/PooledDataSourceFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/reflection/Reflector.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="511">
          <caret line="62" column="9" selection-start-line="62" selection-start-column="9" selection-end-line="62" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/reflection/DefaultReflectorFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/reflection/factory/ObjectFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="25" column="17" selection-start-line="25" selection-start-column="17" selection-end-line="25" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/jre/lib/rt.jar!/javax/xml/parsers/DocumentBuilderFactory.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="9" column="22" selection-start-line="9" selection-start-column="22" selection-end-line="9" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/jre/lib/rt.jar!/javax/xml/parsers/DocumentBuilder.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="18" column="22" selection-start-line="18" selection-start-column="22" selection-end-line="18" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/test/resources/mybatis-config.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="23" column="61" lean-forward="true" selection-start-line="23" selection-start-column="61" selection-end-line="23" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="530">
          <caret line="29" column="21" selection-start-line="29" selection-start-column="17" selection-end-line="29" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="uml://JAVA/java.lang.Object">
      <provider selected="true" editor-type-id="UmlEditorProvider">
        <state>
          <ID>JAVA</ID>
          <OriginalElement>java.lang.Object</OriginalElement>
          <nodes>
            <node x="0.0" y="100.0">org.apache.ibatis.builder.xml.XMLMapperBuilder</node>
            <node x="1156.0" y="100.0">org.apache.ibatis.builder.MapperBuilderAssistant</node>
            <node x="675.0" y="100.0">org.apache.ibatis.scripting.xmltags.XMLScriptBuilder</node>
            <node x="592.0" y="0.0">org.apache.ibatis.builder.BaseBuilder</node>
            <node x="450.00000000000006" y="100.0">org.apache.ibatis.builder.xml.XMLConfigBuilder</node>
            <node x="225.00000000000006" y="100.0">org.apache.ibatis.builder.SqlSourceBuilder</node>
            <node x="900.0" y="100.0">org.apache.ibatis.builder.xml.XMLStatementBuilder</node>
          </nodes>
          <notes />
          <edges>
            <edge source="org.apache.ibatis.builder.xml.XMLMapperBuilder" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="102.5" y="60.0" />
              <point x="604.1666666666667" y="60.0" />
              <point x="-60.83333333333337" y="20.0" />
            </edge>
            <edge source="org.apache.ibatis.builder.SqlSourceBuilder" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="327.50000000000006" y="70.0" />
              <point x="628.5" y="70.0" />
              <point x="-36.5" y="20.0" />
            </edge>
            <edge source="org.apache.ibatis.builder.MapperBuilderAssistant" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="1289.5" y="60.0" />
              <point x="725.8333333333333" y="60.0" />
              <point x="60.83333333333326" y="20.0" />
            </edge>
            <edge source="org.apache.ibatis.scripting.xmltags.XMLScriptBuilder" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="777.5" y="80.0" />
              <point x="677.1666666666667" y="80.0" />
              <point x="12.166666666666629" y="20.0" />
            </edge>
            <edge source="org.apache.ibatis.builder.xml.XMLStatementBuilder" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="1018.0" y="70.0" />
              <point x="701.5" y="70.0" />
              <point x="36.5" y="20.0" />
            </edge>
            <edge source="org.apache.ibatis.builder.xml.XMLConfigBuilder" target="org.apache.ibatis.builder.BaseBuilder">
              <point x="0.0" y="-20.0" />
              <point x="552.5" y="80.0" />
              <point x="652.8333333333335" y="80.0" />
              <point x="-12.166666666666629" y="20.0" />
            </edge>
          </edges>
          <settings layout="Hierarchic Group" zoom="0.8383333333333333" x="266.2823061630219" y="235.44765626771692" />
          <SelectedNodes>
            <node>org.apache.ibatis.builder.xml.XMLConfigBuilder</node>
          </SelectedNodes>
          <Categories />
          <SCOPE>All</SCOPE>
          <VISIBILITY>private</VISIBILITY>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/jre/lib/rt.jar!/org/w3c/dom/Document.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk1.8.0_131/jre/lib/rt.jar!/javax/xml/xpath/XPath.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="9" column="31" lean-forward="true" selection-start-line="9" selection-start-column="31" selection-end-line="9" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/BaseDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="211">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../openjdk-jdk8u-jdk8u/openjdk/jdk/src/share/classes/java/lang/String.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="183">
          <caret line="110" column="19" selection-start-line="110" selection-start-column="19" selection-end-line="110" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/io/VFS.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-471">
          <caret line="38" column="22" selection-start-line="38" selection-start-column="22" selection-end-line="38" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/logging/LogFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="41" column="20" selection-start-line="41" selection-start-column="10" selection-end-line="41" selection-end-column="20" />
          <folding>
            <element signature="e#1825#1826#0" expanded="true" />
            <element signature="e#1859#1860#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/plugin/InterceptorChain.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="24" column="13" selection-start-line="24" selection-start-column="13" selection-end-line="24" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/reflection/factory/DefaultObjectFactory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1500">
          <caret line="38" column="13" selection-start-line="38" selection-start-column="13" selection-end-line="38" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/datasource/pooled/PoolState.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="106">
          <caret line="23" column="13" selection-start-line="23" selection-start-column="13" selection-end-line="23" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/datasource/pooled/PooledDataSource.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="38" column="13" selection-start-line="38" selection-start-column="13" selection-end-line="38" selection-end-column="13" />
          <folding>
            <element signature="e#2040#2041#0" expanded="true" />
            <element signature="e#2087#2088#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/Environment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="188">
          <caret line="67" column="23" selection-start-line="67" selection-start-column="23" selection-end-line="67" selection-end-column="23" />
          <folding>
            <element signature="e#1720#1721#0" expanded="true" />
            <element signature="e#1746#1747#0" expanded="true" />
            <element signature="e#2108#2109#0" expanded="true" />
            <element signature="e#2195#2196#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/TestJDBC.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="363">
          <caret line="36" column="11" lean-forward="true" selection-start-line="36" selection-start-column="11" selection-end-line="36" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/test/java/com/tuling/xml/TestXml.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-60">
          <caret line="78" column="40" selection-start-line="78" selection-start-column="40" selection-end-line="78" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/BaseBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="149">
          <caret line="45" column="38" selection-start-line="45" selection-start-column="38" selection-end-line="45" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/type/BooleanTypeHandler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="25" column="13" selection-start-line="25" selection-start-column="13" selection-end-line="25" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/type/TypeHandlerRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="351">
          <caret line="65" column="43" selection-start-line="65" selection-start-column="32" selection-end-line="65" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/mapper/UserMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/resources/mybatis-config.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="200">
          <caret line="28" column="13" lean-forward="true" selection-start-line="28" selection-start-column="13" selection-end-line="28" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/parsing/XPathParser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="209" selection-start-line="209" selection-end-line="209" />
          <folding>
            <element signature="e#6943#6944#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper/OrderMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="5" column="27" lean-forward="true" selection-start-line="5" selection-start-column="27" selection-end-line="5" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/impl/PerpetualCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="26" column="27" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/decorators/LruCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-441">
          <caret line="27" column="13" selection-start-line="27" selection-start-column="13" selection-end-line="27" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/Cache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="58" column="9" selection-start-line="58" selection-start-column="9" selection-end-line="58" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/decorators/SerializedCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="62" column="34" lean-forward="true" selection-start-line="62" selection-start-column="34" selection-end-line="62" selection-end-column="34" />
          <folding>
            <element signature="e#1260#1261#0" expanded="true" />
            <element signature="e#1294#1295#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/decorators/SynchronizedCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="22" column="13" selection-start-line="22" selection-start-column="13" selection-end-line="22" selection-end-column="13" />
          <folding>
            <element signature="e#914#915#0" expanded="true" />
            <element signature="e#948#949#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/cache/decorators/LoggingCache.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="165">
          <caret line="24" column="13" selection-start-line="24" selection-start-column="13" selection-end-line="24" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/CacheBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="105" column="14" selection-start-line="105" selection-start-column="14" selection-end-line="105" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/entity/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/parsing/XNode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="111" selection-start-line="111" selection-end-line="111" />
          <folding>
            <element signature="e#3263#3264#0" expanded="true" />
            <element signature="e#3309#3310#0" expanded="true" />
            <element signature="e#3364#3365#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/SqlCommandType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="20" column="12" selection-start-line="20" selection-start-column="12" selection-end-line="20" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/mapping/MappedStatement.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="66" column="11" selection-start-line="66" selection-start-column="11" selection-end-line="66" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/MapperBuilderAssistant.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="236">
          <caret line="328" selection-start-line="328" selection-end-line="328" />
          <folding>
            <element signature="e#10985#10986#0" expanded="true" />
            <element signature="e#11038#11039#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLStatementBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="241" selection-start-line="241" selection-end-line="241" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="119" selection-start-line="119" selection-end-line="119" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/resources/com/tuling/mapper/UserMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-60">
          <caret line="4" column="11" selection-start-line="4" selection-start-column="11" selection-end-line="4" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/plugins/ExamplePlugin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="27" column="26" lean-forward="true" selection-start-line="27" selection-start-column="26" selection-end-line="27" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-tuling/src/main/java/com/tuling/App.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="155">
          <caret line="25" column="73" lean-forward="true" selection-start-line="25" selection-start-column="73" selection-end-line="25" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/SqlSessionFactoryBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="166">
          <caret line="49" column="27" lean-forward="true" selection-start-line="49" selection-start-column="27" selection-end-line="49" selection-end-column="27" />
          <folding>
            <element signature="e#1206#1207#0" expanded="true" />
            <element signature="e#1248#1249#0" expanded="true" />
            <element signature="e#3038#3039#0" expanded="true" />
            <element signature="e#3091#3092#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/xml/XMLConfigBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="166">
          <caret line="541" column="29" selection-start-line="541" selection-start-column="29" selection-end-line="541" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/session/Configuration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="793" column="24" lean-forward="true" selection-start-line="793" selection-start-column="24" selection-end-line="793" selection-end-column="24" />
          <folding>
            <element signature="e#15018#15019#0" expanded="true" />
            <element signature="e#15051#15052#0" expanded="true" />
            <element signature="e#24107#24108#0" expanded="true" />
            <element signature="e#24153#24154#0" expanded="true" />
            <element signature="e#25768#25769#0" expanded="true" />
            <element signature="e#25822#25823#0" expanded="true" />
            <element signature="e#25997#25998#0" expanded="true" />
            <element signature="e#26045#26046#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/binding/MapperRegistry.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="346">
          <caret line="117" column="18" selection-start-line="117" selection-start-column="18" selection-end-line="117" selection-end-column="18" />
          <folding>
            <element signature="e#4360#4361#0" expanded="true" />
            <element signature="e#4407#4408#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/mybatis-3.5.3/src/main/java/org/apache/ibatis/builder/annotation/MapperAnnotationBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="143" column="20" lean-forward="true" selection-start-line="143" selection-start-column="20" selection-end-line="143" selection-end-column="20" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>mybatis-tuling</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: cglib:cglib:3.2.10</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.1948956" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>